Bug 1577666 - [abrt] gnome-shell: meta_wayland_surface_assign_role(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_wayland_surface_assign_role(): gnome-shell killed by...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fa7fe12f50274c1c560f124ba68...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-13 20:54 UTC by Taras Ighnatii
Modified: 2019-05-28 23:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:04:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (112.54 KB, text/plain)
2018-05-13 20:54 UTC, Taras Ighnatii
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-13 20:54 UTC, Taras Ighnatii
no flags Details
File: core_backtrace (45.59 KB, text/plain)
2018-05-13 20:54 UTC, Taras Ighnatii
no flags Details
File: dso_list (26.86 KB, text/plain)
2018-05-13 20:54 UTC, Taras Ighnatii
no flags Details
File: environ (3.45 KB, text/plain)
2018-05-13 20:54 UTC, Taras Ighnatii
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-13 20:54 UTC, Taras Ighnatii
no flags Details
File: maps (204.54 KB, text/plain)
2018-05-13 20:55 UTC, Taras Ighnatii
no flags Details
File: mountinfo (3.82 KB, text/plain)
2018-05-13 20:55 UTC, Taras Ighnatii
no flags Details
File: open_fds (8.41 KB, text/plain)
2018-05-13 20:55 UTC, Taras Ighnatii
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-13 20:55 UTC, Taras Ighnatii
no flags Details
File: var_log_messages (14.33 KB, text/plain)
2018-05-13 20:55 UTC, Taras Ighnatii
no flags Details
File: cpuinfo (1.68 KB, application/octet-stream)
2018-05-13 20:55 UTC, Taras Ighnatii
no flags Details
File: exploitable (177 bytes, application/octet-stream)
2018-05-13 20:55 UTC, Taras Ighnatii
no flags Details

Description Taras Ighnatii 2018-05-13 20:54:45 UTC
Version-Release number of selected component:
gnome-shell-3.28.1-3.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_surface_assign_role
executable:     /usr/bin/gnome-shell
journald_cursor: s=04dd57ed6af14c39901243b5f726fa5d;i=8c55;b=4234a97c1a2740689e20e2c7dd3658a7;m=2e0e74ba6;t=56c1b81da307e;x=a650aef68c4e17bd
kernel:         4.16.7-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_wayland_surface_assign_role at wayland/meta-wayland-surface.c:244
 #1 associate_window_with_surface at wayland/meta-xwayland.c:111
 #2 associate_window_with_surface_id at wayland/meta-xwayland.c:111
 #3 associate_window_with_surface_later at wayland/meta-xwayland.c:152
 #4 run_repaint_laters at core/util.c:809
 #5 run_all_repaint_laters at core/util.c:826
 #6 _clutter_run_repaint_functions at clutter-main.c:3448
 #7 master_clock_update_stages at clutter-master-clock-default.c:567
 #8 clutter_clock_dispatch at clutter-master-clock-default.c:567
 #13 meta_run at core/main.c:664

Comment 1 Taras Ighnatii 2018-05-13 20:54:51 UTC
Created attachment 1435897 [details]
File: backtrace

Comment 2 Taras Ighnatii 2018-05-13 20:54:52 UTC
Created attachment 1435898 [details]
File: cgroup

Comment 3 Taras Ighnatii 2018-05-13 20:54:54 UTC
Created attachment 1435899 [details]
File: core_backtrace

Comment 4 Taras Ighnatii 2018-05-13 20:54:55 UTC
Created attachment 1435900 [details]
File: dso_list

Comment 5 Taras Ighnatii 2018-05-13 20:54:57 UTC
Created attachment 1435901 [details]
File: environ

Comment 6 Taras Ighnatii 2018-05-13 20:54:58 UTC
Created attachment 1435902 [details]
File: limits

Comment 7 Taras Ighnatii 2018-05-13 20:55:01 UTC
Created attachment 1435903 [details]
File: maps

Comment 8 Taras Ighnatii 2018-05-13 20:55:02 UTC
Created attachment 1435904 [details]
File: mountinfo

Comment 9 Taras Ighnatii 2018-05-13 20:55:04 UTC
Created attachment 1435905 [details]
File: open_fds

Comment 10 Taras Ighnatii 2018-05-13 20:55:05 UTC
Created attachment 1435906 [details]
File: proc_pid_status

Comment 11 Taras Ighnatii 2018-05-13 20:55:07 UTC
Created attachment 1435907 [details]
File: var_log_messages

Comment 12 Taras Ighnatii 2018-05-13 20:55:08 UTC
Created attachment 1435908 [details]
File: cpuinfo

Comment 13 Taras Ighnatii 2018-05-13 20:55:09 UTC
Created attachment 1435909 [details]
File: exploitable

Comment 14 Marc 2018-10-29 13:37:39 UTC
Similar problem has been detected:

The problem occurred after closing an application window ("Antidote" from "Druid" editor)
https://www.antidote.info/

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_surface_assign_role
executable:     /usr/bin/gnome-shell
journald_cursor: s=e4fe231ae6b945c58881cfe684dcb60b;i=6b4425;b=29dd47c86f8348b5b9fa4b03cde66438;m=11cf3855b;t=5795e05323107;x=b531c2e3e452e5bc
kernel:         4.18.16-200.fc28.x86_64
package:        gnome-shell-3.28.3-1.fc28
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Ben Cotton 2019-05-02 20:33:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 23:04:03 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.